/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TipoOcupacionDAO;
import com.rjconsultores.ventaboletos.entidad.TipoOcupacion;

/**
 *
 * @author Administrador
 */
@Repository("tipoOcupacionDAO")
public class TipoOcupacionHibernateDAO extends GenericHibernateDAO<TipoOcupacion, Short>
		implements TipoOcupacionDAO {

	@Autowired
	public TipoOcupacionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<TipoOcupacion> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		return c.list();
	}

	public List<TipoOcupacion> buscar(String desctipo, String cvetipoocupacion) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		if (desctipo != null) {
			c.add(Restrictions.eq("desctipo", desctipo));
		}

		if (cvetipoocupacion != null) {
			c.add(Restrictions.eq("cvetipoocupacion", cvetipoocupacion));
		}

		return c.list();
	}

	public List<TipoOcupacion> buscarClave(String cvetipoocupacion) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

		c.add(Restrictions.eq("cvetipoocupacion", cvetipoocupacion));

		return c.list();
	}
}
